#ifndef XPHYSGEOMINFO_H
#define XPHYSGEOMINFO_H

#include "xasset.h"
#include "xbrushwrapper.h"

class XPhysGeomInfo : public XAsset
{
public:
    XPhysGeomInfo();
    ~XPhysGeomInfo();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XBrushWrapper *mBrush;
    int mType;
    QVector<QVector3D> mOrientation;
    QVector3D mOffset;
    QVector3D mHalfLengths;
};

#endif // XPHYSGEOMINFO_H
